{
  "name": "index_sys",
  "version": "1.0.0",
  "description": "SmartCost Index System",
  "private": true,
  "dependencies": {
    "await-stream-ready": "^1.0.1",
    "decimal.js": "^10.2.0",
    "egg": "^2.2.1",
    "egg-mysql": "^3.0.0",
    "egg-redis": "^2.0.0",
    "egg-scripts": "^2.5.0",
    "egg-socket.io": "^4.1.6",
    "egg-view": "^2.1.0",
    "egg-view-ejs": "^2.0.0",
    "lodash": "^4.17.15",
    "mathjs": "^4.1.2",
    "node-xlsx": "^0.12.0",
    "stream-to-array": "^2.3.0",
    "stream-wormhole": "^1.0.3",
    "uglify-es": "^3.3.9"
  },
  "devDependencies": {
    "autod": "^3.0.1",
    "autod-egg": "^1.0.0",
    "egg-bin": "^4.3.5",
    "egg-ci": "^1.8.0",
    "egg-mock": "^3.14.0",
    "eslint": "^4.11.0",
    "eslint-config-egg": "^6.0.0",
    "webstorm-disable-index": "^1.2.0"
  },
  "engines": {
    "node": ">=8.9.0"
  },
  "scripts": {
    "start": "egg-scripts start --daemon --title=egg-server-index_sys --port 7003 --sticky",
    "stop": "egg-scripts stop --title=egg-server-index_sys",
    "dev": "egg-bin dev --port 7003 --sticky",
    "dev-qa": "set EGG_SERVER_ENV=qa&&egg-bin dev --port 7003 --sticky",
    "dev-local": "set EGG_SERVER_ENV=local&&egg-bin dev --port 7003 --sticky",
    "debug": "egg-bin debug",
    "test": "npm run lint -- --fix&&npm run test-local",
    "test-local": "egg-bin test",
    "test-qa": "set EGG_SERVER_ENV=qa&&egg-bin test",
    "cov": "egg-bin cov",
    "lint": "eslint .",
    "ci": "npm run lint && npm run cov",
    "autod": "autod"
  },
  "ci": {
    "version": "8"
  },
  "repository": {
    "type": "git",
    "url": ""
  },
  "author": "Mai",
  "license": "MIT"
}
